Skip to content

Imaging⁠

Perform various operations for Symitar parameters.

Operations⁠

getImagingSelectFields⁠

POST

Execute the persistent ParameterService getImagingSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getImagingSelectFields
POST /nexum/627/persistent/parameter/getImagingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllImagingFields": true,
    "ImagingFields": {
      "TellerTransactionsMemberId": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateImagingByID⁠

POST

Execute the persistent ParameterService updateImagingByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateImagingByID
POST /nexum/627/persistent/parameter/updateImagingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "ImagingFields": {
    "TellerTransactionsMemberId": [
      {
        "EntryId": 0,
        "TellerTransactionsMemberId": true
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}